List Templates
List all email templates in your account with optional pagination using the AutoSend API.
GET
/
templates
curl --request GET \
--url 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/templates"
headers = {
"Authorization": "Bearer <token>"
}
params = {
"templateType": "transactional",
"limit": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
fetch('https://api.autosend.com/v1/templates?templateType=transactional&limit=10', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/templates?templateType=transactional&limit=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListTemplates {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/templates?templateType=transactional&limit=10");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/templates?templateType=transactional&limit=10')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"templates": [
{
"templateId": "A-abc123def456ghi789jk",
"templateName": "Welcome Email",
"description": "Welcome email for new users",
"subject": "Welcome to Our Platform!",
"previewText": "We're glad to have you on board",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-20T14:45:00.000Z"
},
{
"templateId": "A-lmn012opq345rst678uv",
"templateName": "Password Reset",
"description": "Password reset notification",
"subject": "Reset Your Password",
"previewText": "Click the link to reset your password",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-20T08:15:00.000Z",
"updatedAt": "2026-03-01T11:20:00.000Z"
}
]
}
}
curl --request GET \
--url 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/templates"
headers = {
"Authorization": "Bearer <token>"
}
params = {
"templateType": "transactional",
"limit": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
fetch('https://api.autosend.com/v1/templates?templateType=transactional&limit=10', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/templates?templateType=transactional&limit=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListTemplates {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/templates?templateType=transactional&limit=10");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/templates?templateType=transactional&limit=10')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"templates": [
{
"templateId": "A-abc123def456ghi789jk",
"templateName": "Welcome Email",
"description": "Welcome email for new users",
"subject": "Welcome to Our Platform!",
"previewText": "We're glad to have you on board",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-20T14:45:00.000Z"
},
{
"templateId": "A-lmn012opq345rst678uv",
"templateName": "Password Reset",
"description": "Password reset notification",
"subject": "Reset Your Password",
"previewText": "Click the link to reset your password",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-20T08:15:00.000Z",
"updatedAt": "2026-03-01T11:20:00.000Z"
}
]
}
}
Authorizations
Bearer authentication header of the form Bearer
<token>, where <token> is your auth token.Query Parameters
Filter templates by type.Allowed values:
transactional, marketingExample: "transactional"Maximum number of templates to return.Range:
1 - 100Example: 10Response
Templates retrieved successfullyIndicates if the request was successfulExample:
trueShow child attributes
Show child attributes
Array of template objects
Show child attributes
Show child attributes
Unique template identifierExample:
"A-abc123def456ghi789jk"Name of the templateExample:
"Welcome Email"Template descriptionExample:
"Welcome email for new users"Email subject lineExample:
"Welcome to Our Platform!"Email preview text (preheader)Example:
"We're glad to have you on board"HTML content of the template
Plain text version of the template
Type of template:
transactional or marketingExample: "transactional"Builder used to create the template:
code or visualExample: "code"Dynamic variables used in the template
ISO 8601 timestamp of creationExample:
"2026-01-15T10:30:00.000Z"ISO 8601 timestamp of last updateExample:
"2026-02-20T14:45:00.000Z"Related topics
Was this page helpful?
⌘I
curl --request GET \
--url 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10' \
--header 'Authorization: Bearer <token>'
import requests
url = "https://api.autosend.com/v1/templates"
headers = {
"Authorization": "Bearer <token>"
}
params = {
"templateType": "transactional",
"limit": 10
}
response = requests.get(url, headers=headers, params=params)
print(response.json())
fetch('https://api.autosend.com/v1/templates?templateType=transactional&limit=10', {
method: 'GET',
headers: {
'Authorization': 'Bearer <token>'
}
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
<?php
$url = 'https://api.autosend.com/v1/templates?templateType=transactional&limit=10';
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Authorization: Bearer <token>'
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.autosend.com/v1/templates?templateType=transactional&limit=10"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Set("Authorization", "Bearer <token>")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
fmt.Println("Error:", err)
return
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.net.HttpURLConnection;
import java.net.URL;
public class ListTemplates {
public static void main(String[] args) {
try {
URL url = new URL("https://api.autosend.com/v1/templates?templateType=transactional&limit=10");
HttpURLConnection con = (HttpURLConnection) url.openConnection();
con.setRequestMethod("GET");
con.setRequestProperty("Authorization", "Bearer <token>");
BufferedReader in = new BufferedReader(new InputStreamReader(con.getInputStream()));
String inputLine;
StringBuilder content = new StringBuilder();
while ((inputLine = in.readLine()) != null) {
content.append(inputLine);
}
in.close();
con.disconnect();
System.out.println(content.toString());
} catch (Exception e) {
e.printStackTrace();
}
}
}
require 'net/http'
require 'uri'
uri = URI('https://api.autosend.com/v1/templates?templateType=transactional&limit=10')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Authorization'] = 'Bearer <token>'
response = http.request(request)
puts response.body
{
"success": true,
"data": {
"templates": [
{
"templateId": "A-abc123def456ghi789jk",
"templateName": "Welcome Email",
"description": "Welcome email for new users",
"subject": "Welcome to Our Platform!",
"previewText": "We're glad to have you on board",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-15T10:30:00.000Z",
"updatedAt": "2026-02-20T14:45:00.000Z"
},
{
"templateId": "A-lmn012opq345rst678uv",
"templateName": "Password Reset",
"description": "Password reset notification",
"subject": "Reset Your Password",
"previewText": "Click the link to reset your password",
"templateType": "transactional",
"builderType": "code",
"createdAt": "2026-01-20T08:15:00.000Z",
"updatedAt": "2026-03-01T11:20:00.000Z"
}
]
}
}